VisualLisp


Recommended Posts

Witam,

takie pytanko, funkcja "vla-getentity" ma działanie jak "entsel" lecz zwraca "nil", w jaki sposób można uzyskać informację o współrzędnych punktu, który został wskazany?

ENTSEL:

(entsel "\nWskaż obiekt:") --> ( '(x y z))

VLA-GETENTITY:

(setq util (vla-get-utility (vla-get-activedocument (vlax-get-acad-object))))

(vla-getentity util 'obj1 'ip "\nWskaż obiekt: ")

(princ ip) --> nil

!ip --> nil

(princ obj1) -->

Znalazłem taki opis:

The reference to the Object is stored in the variable "obj"

and the pickpoint is stored in variable "ip" in the form of a safearray

Dodam, że w AutoCAD zwracana wartość faktycznie ma miejsce i postać:

!ip --> #

pozdrawiam,

ZK

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
 Share